diff --git a/_ide_helper.php b/_ide_helper.php
index 7f7a796..4fde692 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -864,8 +935,9 @@ namespace {
          * @param bool $shared
          * @return void 
          * @static 
-         */
-        public static function bindIf($abstract, $concrete = null, $shared = false){
+         */ 
+        public static function bindIf($abstract, $concrete = null, $shared = false)
+        {
             //Method inherited from \Illuminate\Container\Container            
             \Illuminate\Foundation\Application::bindIf($abstract, $concrete, $shared);
         }
@@ -873,12 +945,13 @@ namespace {
         /**
          * Register a shared binding in the container.
          *
-         * @param string|array $abstract
+         * @param string $abstract
          * @param \Closure|string|null $concrete
          * @return void 
          * @static 
-         */
-        public static function singleton($abstract, $concrete = null){
+         */ 
+        public static function singleton($abstract, $concrete = null)
+        {
             //Method inherited from \Illuminate\Container\Container            
             \Illuminate\Foundation\Application::singleton($abstract, $concrete);
         }
@@ -891,8 +964,9 @@ namespace {
          * @return void 
          * @throws \InvalidArgumentException
          * @static 
-         */
-        public static function extend($abstract, $closure){
+         */ 
+        public static function extend($abstract, $closure)
+        {
             //Method inherited from \Illuminate\Container\Container            
             \Illuminate\Foundation\Application::extend($abstract, $closure);
         }
@@ -902,12 +976,13 @@ namespace {
          *
          * @param string $abstract
          * @param mixed $instance
-         * @return void 
+         * @return mixed 
          * @static 
-         */
-        public static function instance($abstract, $instance){
+         */ 
+        public static function instance($abstract, $instance)
+        {
             //Method inherited from \Illuminate\Container\Container            
-            \Illuminate\Foundation\Application::instance($abstract, $instance);
+            return \Illuminate\Foundation\Application::instance($abstract, $instance);
         }
         
         /**
@@ -917,8 +992,9 @@ namespace {
          * @param array|mixed $tags
          * @return void 
          * @static 
-         */
-        public static function tag($abstracts, $tags){
+         */ 
+        public static function tag($abstracts, $tags)
+        {
             //Method inherited from \Illuminate\Container\Container            
             \Illuminate\Foundation\Application::tag($abstracts, $tags);
         }
@@ -929,8 +1005,9 @@ namespace {
          * @param string $tag
          * @return array 
          * @static 
-         */
-        public static function tagged($tag){
+         */ 
+        public static function tagged($tag)
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::tagged($tag);
         }
@@ -942,8 +1019,9 @@ namespace {
          * @param string $alias
          * @return void 
          * @static 
-         */
-        public static function alias($abstract, $alias){
+         */ 
+        public static function alias($abstract, $alias)
+        {
             //Method inherited from \Illuminate\Container\Container            
             \Illuminate\Foundation\Application::alias($abstract, $alias);
         }
@@ -955,8 +1033,9 @@ namespace {
          * @param \Closure $callback
          * @return mixed 
          * @static 
-         */
-        public static function rebinding($abstract, $callback){
+         */ 
+        public static function rebinding($abstract, $callback)
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::rebinding($abstract, $callback);
         }
@@ -969,8 +1048,9 @@ namespace {
          * @param string $method
          * @return mixed 
          * @static 
-         */
-        public static function refresh($abstract, $target, $method){
+         */ 
+        public static function refresh($abstract, $target, $method)
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::refresh($abstract, $target, $method);
         }
@@ -982,8 +1062,9 @@ namespace {
          * @param array $parameters
          * @return \Closure 
          * @static 
-         */
-        public static function wrap($callback, $parameters = array()){
+         */ 
+        public static function wrap($callback, $parameters = array())
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::wrap($callback, $parameters);
         }
@@ -996,8 +1077,9 @@ namespace {
          * @param string|null $defaultMethod
          * @return mixed 
          * @static 
-         */
-        public static function call($callback, $parameters = array(), $defaultMethod = null){
+         */ 
+        public static function call($callback, $parameters = array(), $defaultMethod = null)
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::call($callback, $parameters, $defaultMethod);
         }
@@ -1008,12 +1090,42 @@ namespace {
          * @param string $abstract
          * @return \Closure 
          * @static 
-         */
-        public static function factory($abstract){
+         */ 
+        public static function factory($abstract)
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::factory($abstract);
         }
         
+        /**
+         * An alias function name for make().
+         *
+         * @param string $abstract
+         * @param array $parameters
+         * @return mixed 
+         * @static 
+         */ 
+        public static function makeWith($abstract, $parameters = array())
+        {
+            //Method inherited from \Illuminate\Container\Container            
+            return \Illuminate\Foundation\Application::makeWith($abstract, $parameters);
+        }
+        
+        /**
+         * Finds an entry of the container by its identifier and returns it.
+         *
+         * @param string $id Identifier of the entry to look for.
+         * @throws NotFoundExceptionInterface  No entry was found for **this** identifier.
+         * @throws ContainerExceptionInterface Error while retrieving the entry.
+         * @return mixed Entry.
+         * @static 
+         */ 
+        public static function get($id)
+        {
+            //Method inherited from \Illuminate\Container\Container            
+            return \Illuminate\Foundation\Application::get($id);
+        }
+        
         /**
          * Instantiate a concrete instance of the given type.
          *
@@ -1021,8 +1133,9 @@ namespace {
          * @return mixed 
          * @throws \Illuminate\Contracts\Container\BindingResolutionException
          * @static 
-         */
-        public static function build($concrete){
+         */ 
+        public static function build($concrete)
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::build($concrete);
         }
@@ -1030,12 +1143,13 @@ namespace {
         /**
          * Register a new resolving callback.
          *
-         * @param string $abstract
+         * @param \Closure|string $abstract
          * @param \Closure|null $callback
          * @return void 
          * @static 
-         */
-        public static function resolving($abstract, $callback = null){
+         */ 
+        public static function resolving($abstract, $callback = null)
+        {
             //Method inherited from \Illuminate\Container\Container            
             \Illuminate\Foundation\Application::resolving($abstract, $callback);
         }
@@ -1043,12 +1157,13 @@ namespace {
         /**
          * Register a new after resolving callback for all types.
          *
-         * @param string $abstract
+         * @param \Closure|string $abstract
          * @param \Closure|null $callback
          * @return void 
          * @static 
-         */
-        public static function afterResolving($abstract, $callback = null){
+         */ 
+        public static function afterResolving($abstract, $callback = null)
+        {
             //Method inherited from \Illuminate\Container\Container            
             \Illuminate\Foundation\Application::afterResolving($abstract, $callback);
         }
@@ -1058,8 +1173,9 @@ namespace {
          *
          * @return array 
          * @static 
-         */
-        public static function getBindings(){
+         */ 
+        public static function getBindings()
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::getBindings();
         }
@@ -1071,8 +1187,9 @@ namespace {
          * @return string 
          * @throws \LogicException
          * @static 
-         */
-        public static function getAlias($abstract){
+         */ 
+        public static function getAlias($abstract)
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::getAlias($abstract);
         }
@@ -1083,8 +1200,9 @@ namespace {
          * @param string $abstract
          * @return void 
          * @static 
-         */
-        public static function forgetExtenders($abstract){
+         */ 
+        public static function forgetExtenders($abstract)
+        {
             //Method inherited from \Illuminate\Container\Container            
             \Illuminate\Foundation\Application::forgetExtenders($abstract);
         }
@@ -1095,8 +1213,9 @@ namespace {
          * @param string $abstract
          * @return void 
          * @static 
-         */
-        public static function forgetInstance($abstract){
+         */ 
+        public static function forgetInstance($abstract)
+        {
             //Method inherited from \Illuminate\Container\Container            
             \Illuminate\Foundation\Application::forgetInstance($abstract);
         }
@@ -1106,8 +1225,9 @@ namespace {
          *
          * @return void 
          * @static 
-         */
-        public static function forgetInstances(){
+         */ 
+        public static function forgetInstances()
+        {
             //Method inherited from \Illuminate\Container\Container            
             \Illuminate\Foundation\Application::forgetInstances();
         }
@@ -1117,8 +1237,9 @@ namespace {
          *
          * @return static 
          * @static 
-         */
-        public static function getInstance(){
+         */ 
+        public static function getInstance()
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::getInstance();
         }
@@ -1129,8 +1250,9 @@ namespace {
          * @param \Illuminate\Contracts\Container\Container|null $container
          * @return static 
          * @static 
-         */
-        public static function setInstance($container = null){
+         */ 
+        public static function setInstance($container = null)
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::setInstance($container);
         }
@@ -1141,8 +1263,9 @@ namespace {
          * @param string $key
          * @return bool 
          * @static 
-         */
-        public static function offsetExists($key){
+         */ 
+        public static function offsetExists($key)
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::offsetExists($key);
         }
@@ -1153,8 +1276,9 @@ namespace {
          * @param string $key
          * @return mixed 
          * @static 
-         */
-        public static function offsetGet($key){
+         */ 
+        public static function offsetGet($key)
+        {
             //Method inherited from \Illuminate\Container\Container            
             return \Illuminate\Foundation\Application::offsetGet($key);
         }
@@ -1166,8 +1290,9 @@ namespace {
          * @param mixed $value
          * @return void 
          * @static 
-         */
-        public static function offsetSet($key, $value){
+         */ 
+        public static function offsetSet($key, $value)
+        {
             //Method inherited from \Illuminate\Container\Container            
             \Illuminate\Foundation\Application::offsetSet($key, $value);
         }
@@ -1178,16 +1303,16 @@ namespace {
          * @param string $key
          * @return void 
          * @static 
-         */
-        public static function offsetUnset($key){
+         */ 
+        public static function offsetUnset($key)
+        {
             //Method inherited from \Illuminate\Container\Container            
             \Illuminate\Foundation\Application::offsetUnset($key);
         }
-        
+         
     }
 
-
-    class Artisan extends \Illuminate\Support\Facades\Artisan{
+    class Artisan {
         
         /**
          * Run the console application.
@@ -1196,8 +1321,9 @@ namespace {
          * @param \Symfony\Component\Console\Output\OutputInterface $output
          * @return int 
          * @static 
-         */
-        public static function handle($input, $output = null){
+         */ 
+        public static function handle($input, $output = null)
+        {
             //Method inherited from \Illuminate\Foundation\Console\Kernel            
             return \Portal\Console\Kernel::handle($input, $output);
         }
@@ -1209,8 +1335,9 @@ namespace {
          * @param int $status
          * @return void 
          * @static 
-         */
-        public static function terminate($input, $status){
+         */ 
+        public static function terminate($input, $status)
+        {
             //Method inherited from \Illuminate\Foundation\Console\Kernel            
             \Portal\Console\Kernel::terminate($input, $status);
         }
@@ -1222,8 +1349,9 @@ namespace {
          * @param \Closure $callback
          * @return \Illuminate\Foundation\Console\ClosureCommand 
          * @static 
-         */
-        public static function command($signature, $callback){
+         */ 
+        public static function command($signature, $callback)
+        {
             //Method inherited from \Illuminate\Foundation\Console\Kernel            
             return \Portal\Console\Kernel::command($signature, $callback);
         }
@@ -1234,8 +1362,9 @@ namespace {
          * @param \Symfony\Component\Console\Command\Command $command
          * @return void 
          * @static 
-         */
-        public static function registerCommand($command){
+         */ 
+        public static function registerCommand($command)
+        {
             //Method inherited from \Illuminate\Foundation\Console\Kernel            
             \Portal\Console\Kernel::registerCommand($command);
         }
@@ -1248,8 +1377,9 @@ namespace {
          * @param \Symfony\Component\Console\Output\OutputInterface $outputBuffer
          * @return int 
          * @static 
-         */
-        public static function call($command, $parameters = array(), $outputBuffer = null){
+         */ 
+        public static function call($command, $parameters = array(), $outputBuffer = null)
+        {
             //Method inherited from \Illuminate\Foundation\Console\Kernel            
             return \Portal\Console\Kernel::call($command, $parameters, $outputBuffer);
         }
@@ -1261,8 +1391,9 @@ namespace {
          * @param array $parameters
          * @return \Illuminate\Foundation\Bus\PendingDispatch 
          * @static 
-         */
-        public static function queue($command, $parameters = array()){
+         */ 
+        public static function queue($command, $parameters = array())
+        {
             //Method inherited from \Illuminate\Foundation\Console\Kernel            
             return \Portal\Console\Kernel::queue($command, $parameters);
         }
@@ -1272,8 +1403,9 @@ namespace {
          *
          * @return array 
          * @static 
-         */
-        public static function all(){
+         */ 
+        public static function all()
+        {
             //Method inherited from \Illuminate\Foundation\Console\Kernel            
             return \Portal\Console\Kernel::all();
         }
@@ -1283,8 +1415,9 @@ namespace {
          *
          * @return string 
          * @static 
-         */
-        public static function output(){
+         */ 
+        public static function output()
+        {
             //Method inherited from \Illuminate\Foundation\Console\Kernel            
             return \Portal\Console\Kernel::output();
         }
@@ -1294,8 +1427,9 @@ namespace {
          *
          * @return void 
          * @static 
-         */
-        public static function bootstrap(){
+         */ 
+        public static function bootstrap()
+        {
             //Method inherited from \Illuminate\Foundation\Console\Kernel            
             \Portal\Console\Kernel::bootstrap();
         }
@@ -1306,16 +1440,16 @@ namespace {
          * @param \Illuminate\Console\Application $artisan
          * @return void 
          * @static 
-         */
-        public static function setArtisan($artisan){
+         */ 
+        public static function setArtisan($artisan)
+        {
             //Method inherited from \Illuminate\Foundation\Console\Kernel            
             \Portal\Console\Kernel::setArtisan($artisan);
         }
-        
+         
     }
 
-
-    class Auth extends \Illuminate\Support\Facades\Auth{
+    class Auth {
         
         /**
          * Attempt to get the guard from the local cache.
@@ -1323,8 +1457,9 @@ namespace {
          * @param string $name
          * @return \Illuminate\Contracts\Auth\Guard|\Illuminate\Contracts\Auth\StatefulGuard 
          * @static 
-         */
-        public static function guard($name = null){
+         */ 
+        public static function guard($name = null)
+        {
             return \Illuminate\Auth\AuthManager::guard($name);
         }
         
@@ -1335,8 +1470,9 @@ namespace {
          * @param array $config
          * @return \Illuminate\Auth\SessionGuard 
          * @static 
-         */
-        public static function createSessionDriver($name, $config){
+         */ 
+        public static function createSessionDriver($name, $config)
+        {
             return \Illuminate\Auth\AuthManager::createSessionDriver($name, $config);
         }
         
@@ -1347,8 +1483,9 @@ namespace {
          * @param array $config
          * @return \Illuminate\Auth\TokenGuard 
          * @static 
-         */
-        public static function createTokenDriver($name, $config){
+         */ 
+        public static function createTokenDriver($name, $config)
+        {
             return \Illuminate\Auth\AuthManager::createTokenDriver($name, $config);
         }
         
@@ -1357,8 +1494,9 @@ namespace {
          *
          * @return string 
          * @static 
-         */
-        public static function getDefaultDriver(){
+         */ 
+        public static function getDefaultDriver()
+        {
             return \Illuminate\Auth\AuthManager::getDefaultDriver();
         }
         
@@ -1368,8 +1506,9 @@ namespace {
          * @param string $name
          * @return void 
          * @static 
-         */
-        public static function shouldUse($name){
+         */ 
+        public static function shouldUse($name)
+        {
             \Illuminate\Auth\AuthManager::shouldUse($name);
         }
         
@@ -1379,8 +1518,9 @@ namespace {
          * @param string $name
          * @return void 
          * @static 
-         */
-        public static function setDefaultDriver($name){
+         */ 
+        public static function setDefaultDriver($name)
+        {
             \Illuminate\Auth\AuthManager::setDefaultDriver($name);
         }
         
@@ -1391,8 +1531,9 @@ namespace {
          * @param callable $callback
          * @return $this 
          * @static 
-         */
-        public static function viaRequest($driver, $callback){
+         */ 
+        public static function viaRequest($driver, $callback)
+        {
             return \Illuminate\Auth\AuthManager::viaRequest($driver, $callback);
         }
         
@@ -1401,8 +1542,9 @@ namespace {
          *
          * @return \Closure 
          * @static 
-         */
-        public static function userResolver(){
+         */ 
+        public static function userResolver()
+        {
             return \Illuminate\Auth\AuthManager::userResolver();
         }
         
@@ -1412,8 +1554,9 @@ namespace {
          * @param \Closure $userResolver
          * @return $this 
          * @static 
-         */
-        public static function resolveUsersUsing($userResolver){
+         */ 
+        public static function resolveUsersUsing($userResolver)
+        {
             return \Illuminate\Auth\AuthManager::resolveUsersUsing($userResolver);
         }
         
@@ -1424,8 +1567,9 @@ namespace {
          * @param \Closure $callback
          * @return $this 
          * @static 
-         */
-        public static function extend($driver, $callback){
+         */ 
+        public static function extend($driver, $callback)
+        {
             return \Illuminate\Auth\AuthManager::extend($driver, $callback);
         }
         
@@ -1436,30 +1580,44 @@ namespace {
          * @param \Closure $callback
          * @return $this 
          * @static 
-         */
-        public static function provider($name, $callback){
+         */ 
+        public static function provider($name, $callback)
+        {
             return \Illuminate\Auth\AuthManager::provider($name, $callback);
         }
         
         /**
          * Create the user provider implementation for the driver.
          *
-         * @param string $provider
-         * @return \Illuminate\Contracts\Auth\UserProvider 
+         * @param string|null $provider
+         * @return \Illuminate\Contracts\Auth\UserProvider|null 
          * @throws \InvalidArgumentException
          * @static 
-         */
-        public static function createUserProvider($provider){
+         */ 
+        public static function createUserProvider($provider = null)
+        {
             return \Illuminate\Auth\AuthManager::createUserProvider($provider);
         }
         
+        /**
+         * Get the default user provider name.
+         *
+         * @return string 
+         * @static 
+         */ 
+        public static function getDefaultUserProvider()
+        {
+            return \Illuminate\Auth\AuthManager::getDefaultUserProvider();
+        }
+        
         /**
          * Get the currently authenticated user.
          *
          * @return \Portal\User|null 
          * @static 
-         */
-        public static function user(){
+         */ 
+        public static function user()
+        {
             return \Illuminate\Auth\SessionGuard::user();
         }
         
@@ -1468,8 +1626,9 @@ namespace {
          *
          * @return int|null 
          * @static 
-         */
-        public static function id(){
+         */ 
+        public static function id()
+        {
             return \Illuminate\Auth\SessionGuard::id();
         }
         
@@ -1479,8 +1638,9 @@ namespace {
          * @param array $credentials
          * @return bool 
          * @static 
-         */
-        public static function once($credentials = array()){
+         */ 
+        public static function once($credentials = array())
+        {
             return \Illuminate\Auth\SessionGuard::once($credentials);
         }
         
@@ -1490,8 +1650,9 @@ namespace {
          * @param mixed $id
          * @return \Portal\User|false 
          * @static 
-         */
-        public static function onceUsingId($id){
+         */ 
+        public static function onceUsingId($id)
+        {
             return \Illuminate\Auth\SessionGuard::onceUsingId($id);
         }
         
@@ -1501,8 +1662,9 @@ namespace {
          * @param array $credentials
          * @return bool 
          * @static 
-         */
-        public static function validate($credentials = array()){
+         */ 
+        public static function validate($credentials = array())
+        {
             return \Illuminate\Auth\SessionGuard::validate($credentials);
         }
         
@@ -1513,8 +1675,9 @@ namespace {
          * @param array $extraConditions
          * @return \Symfony\Component\HttpFoundation\Response|null 
          * @static 
-         */
-        public static function basic($field = 'email', $extraConditions = array()){
+         */ 
+        public static function basic($field = 'email', $extraConditions = array())
+        {
             return \Illuminate\Auth\SessionGuard::basic($field, $extraConditions);
         }
         
@@ -1525,8 +1688,9 @@ namespace {
          * @param array $extraConditions
          * @return \Symfony\Component\HttpFoundation\Response|null 
          * @static 
-         */
-        public static function onceBasic($field = 'email', $extraConditions = array()){
+         */ 
+        public static function onceBasic($field = 'email', $extraConditions = array())
+        {
             return \Illuminate\Auth\SessionGuard::onceBasic($field, $extraConditions);
         }
         
@@ -1537,8 +1701,9 @@ namespace {
          * @param bool $remember
          * @return bool 
          * @static 
-         */
-        public static function attempt($credentials = array(), $remember = false){
+         */ 
+        public static function attempt($credentials = array(), $remember = false)
+        {
             return \Illuminate\Auth\SessionGuard::attempt($credentials, $remember);
         }
         
@@ -1549,8 +1714,9 @@ namespace {
          * @param bool $remember
          * @return \Portal\User|false 
          * @static 
-         */
-        public static function loginUsingId($id, $remember = false){
+         */ 
+        public static function loginUsingId($id, $remember = false)
+        {
             return \Illuminate\Auth\SessionGuard::loginUsingId($id, $remember);
         }
         
@@ -1561,8 +1727,9 @@ namespace {
          * @param bool $remember
          * @return void 
          * @static 
-         */
-        public static function login($user, $remember = false){
+         */ 
+        public static function login($user, $remember = false)
+        {
             \Illuminate\Auth\SessionGuard::login($user, $remember);
         }
         
@@ -1571,8 +1738,9 @@ namespace {
          *
          * @return void 
          * @static 
-         */
-        public static function logout(){
+         */ 
+        public static function logout()
+        {
             \Illuminate\Auth\SessionGuard::logout();
         }
         
@@ -1582,8 +1750,9 @@ namespace {
          * @param mixed $callback
          * @return void 
          * @static 
-         */
-        public static function attempting($callback){
+         */ 
+        public static function attempting($callback)
+        {
             \Illuminate\Auth\SessionGuard::attempting($callback);
         }
         
@@ -1592,8 +1761,9 @@ namespace {
          *
          * @return \Portal\User 
          * @static 
-         */
-        public static function getLastAttempted(){
+         */ 
+        public static function getLastAttempted()
+        {
             return \Illuminate\Auth\SessionGuard::getLastAttempted();
         }
         
@@ -1602,8 +1772,9 @@ namespace {
          *
          * @return string 
          * @static 
-         */
-        public static function getName(){
+         */ 
+        public static function getName()
+        {
             return \Illuminate\Auth\SessionGuard::getName();
         }
         
@@ -1612,8 +1783,9 @@ namespace {
          *
          * @return string 
          * @static 
-         */
-        public static function getRecallerName(){
+         */ 
+        public static function getRecallerName()
+        {
             return \Illuminate\Auth\SessionGuard::getRecallerName();
         }
         
@@ -1622,8 +1794,9 @@ namespace {
          *
          * @return bool 
          * @static 
-         */
-        public static function viaRemember(){
+         */ 
+        public static function viaRemember()
+        {
             return \Illuminate\Auth\SessionGuard::viaRemember();
         }
         
@@ -1633,8 +1806,9 @@ namespace {
          * @return \Illuminate\Contracts\Cookie\QueueingFactory 
          * @throws \RuntimeException
          * @static 
-         */
-        public static function getCookieJar(){
+         */ 
+        public static function getCookieJar()
+        {
             return \Illuminate\Auth\SessionGuard::getCookieJar();
         }
         
@@ -1644,8 +1818,9 @@ namespace {
          * @param \Illuminate\Contracts\Cookie\QueueingFactory $cookie
          * @return void 
          * @static 
-         */
-        public static function setCookieJar($cookie){
+         */ 
+        public static function setCookieJar($cookie)
+        {
             \Illuminate\Auth\SessionGuard::setCookieJar($cookie);
         }
         
@@ -1654,8 +1829,9 @@ namespace {
          *
          * @return \Illuminate\Contracts\Events\Dispatcher 
          * @static 
-         */
-        public static function getDispatcher(){
+         */ 
+        public static function getDispatcher()
+        {
             return \Illuminate\Auth\SessionGuard::getDispatcher();
         }
         
